%define upstream_name    pmtools
%define upstream_version 1.30

Name:       %{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    suite of small programs to help manage perl modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Devel/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
The Devel::Loaded module installs an at-exit handler to generate a dump of
all the module files used by a Perl program. If used in conjunction with a
_perl -c_, you find those files loaded in at compile time with 'use'. If
you are willing to wait until after the program runs, you can get them all.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes MYMETA.yml README TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.300.0-2.mga4
+ Revision: 527622
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 jquelin <jquelin> 1.300.0-1.mga4
+ Revision: 441543
- update to 1.30

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 377965
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Mar 06 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 65435
- imported package pmtools


* Sun Mar 06 2011 cpan2dist 1.10-1mga
- initial mageia release, generated with cpan2dist
